Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | Oracle Corporation
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.wlcp.wlng.api.plugin
Interface PluginHolder

public interface PluginHolder

Holder for a plug-in type and the plug-in instance

  Copyright © 2008 Oracle Corporation Systems, Inc. All Rights Reserved.

Method Summary
`String` | `getId()` Returns the plugin id
`Plugin` | `getPlugin()` Returns the Plugin
`PluginInstance` | `getPluginInstance()` Returns the PluginInstance
`PluginService` | `getPluginService()` Returns the PluginService
`boolean` | `isRequired()` Returns true if the plugin is required, false if it is optional.
`void` | `setRequired(boolean required)` Sets the plugin as required or optional

Method Detail

### getId

    public String getId()

  Returns the plugin id

  Returns:
    The plugin id

### getPlugin

    public Plugin getPlugin()

  Returns the Plugin

  Returns:
    The Plugin

### getPluginInstance

    public PluginInstance getPluginInstance()

  Returns the PluginInstance

  Returns:
    The plug-in instance

### getPluginService

    public PluginService getPluginService()

  Returns the PluginService

  Returns:
    The plug-in service

### isRequired

    public boolean isRequired()

  Returns true if the plugin is required, false if it is optional. A typical use case of this flag is the following scenario: - a request is part of an ongoing conversation and therefore must continue to be routed to the same plugin that is has been routed at the start of the conversation. Note: it is discouraged to use that flag as a substitute for "stateless" plugin. That is, this flag should not be used to "broadcast" a request to all plugins in case the plugin lacks the state to indicate which request it can handle.

  Returns:
    true if required, false if optional

### setRequired

    public void setRequired(boolean required)

  Sets the plugin as required or optional

  Parameters:
    `required` - True if the plugin is required, false if it is optional

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | Oracle Corporation
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD